program harmonische_Reihe

integer i,j
real s

! 1000 Glieder der Reihe aufsummieren
s=0.0
do i=1,1000
   s=s+1.0/i
   end do

write(*,*) s

! solange aufsummieren, bis s>10  
s=0.0
do i=1,10000000
   s=s+1.0/i
   if (s>10.0) exit
   end do
write(*,*)i,s

! Variante, solange aufsummieren, bis s>10  
s=0.0
j=0
do while(s<=11)
   j=j+1
   s=s+1.0/j
   end do
write(*,*)j,s

!numerische Spielerei
s=0
i=0
do j=2,20
   do while(s<=j)
      i=i+1
      s=s+1.0/i
      end do
   write(*,*) j,i,s
   end do

end program harmonische_Reihe